Bug 168701 - rmmod of usb-storage causes oops
rmmod of usb-storage causes oops
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 12:58 EDT by Jeremy Katz
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 22:48:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2005-09-19 12:58:31 EDT
Doing an rmmod of usb-storage causes an oops.  This is problematic for the
installer since we have to shuffle around usb-storage around loads of real scsi
drivers so people can a) have their drives named like they will be post-install
and b) be able to use usb stuff for driver disks.

Has been happening for most of the post 2.6.13 kernels, this is from 1560
(2.6.14-rc1-git4)

usbcore: deregistering driver usb-storage
Unable to handle kernel paging request at virtual address 6b6b6bb3
 printing eip:
f88549fc
*pde = 00000000
Oops: 0002 [#1]
Modules linked in: i915 drm lp autofs4 rfcomm l2cap bluetooth sunrpc ipt_REJECT
ipt_state ip_conntrack nfnetlink iptable_filter ip_tables video button battery
ac ipv6 ohci1394 ieee1394 usb_storage uhci_hcd ehci_hcd parport_pc parport
shpchp i2c_i801 i2c_core snd_intel8x0 snd_ac97_codec snd_ac97_bus snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss
snd_pcm snd_timer snd soundcore snd_page_alloc e1000 floppy dm_snapshot dm_zero
dm_mirror ext3 jbd dm_mod ata_piix libata sd_mod scsi_mod
CPU:    0
EIP:    0060:[<f88549fc>]    Not tainted VLI
EFLAGS: 00010246   (2.6.13-1.1560_FC5)
EIP is at scsi_remove_device+0x2c/0x40 [scsi_mod]
eax: 00000001   ebx: f76294f8   ecx: f885416e   edx: 6b6b6b6b
esi: f762a52c   edi: f762a52c   ebp: f76dd8ec   esp: f70cbed0
ds: 007b   es: 007b   ss: 0068
Process rmmod (pid: 2539, threadinfo=f70cb000 task=f7544570)
Stack: f76294f8 f7673578 f8854a99 f76dd8ec f762a530 f762a52c f762a534 f8853bb7
       f762a52c f762a648 f8adda40 f8adda98 f884c403 f762a814 f8adda20 f8ace94e
       c18ed0bc c0291d74 c18ed178 c18ed0d0 c024758c c18ed0d0 c18ed120 f8adda40
Call Trace:
 [<f8854a99>] __scsi_remove_target+0x89/0xc0 [scsi_mod]
 [<f8853bb7>] scsi_forget_host+0x37/0x60 [scsi_mod]
 [<f884c403>] scsi_remove_host+0x43/0x80 [scsi_mod]
 [<f8ace94e>] storage_disconnect+0xe/0x16 [usb_storage]
 [<c0291d74>] usb_unbind_interface+0x34/0x70
 [<c024758c>] __device_release_driver+0x4c/0x70
 [<c0247673>] driver_detach+0x83/0x85
 [<c024708b>] bus_remove_driver+0x3b/0x60
 [<c02478f8>] driver_unregister+0x8/0x20
 [<c0291e76>] usb_deregister+0x26/0x40
 [<f8ad554a>] usb_stor_exit+0xa/0x2d [usb_storage]
 [<c013400a>] sys_delete_module+0x11a/0x160
 [<c01069dc>] do_syscall_trace+0x1cc/0x1e5
 [<c0103039>] syscall_call+0x7/0xb
Code: 53 8b 30 ba 66 00 00 00 89 c3 b8 a5 9d 85 f8 e8 db 43 8c c7 e8 16 65 ad c7
ff 4e 48 0f 88 b0 03 00 00 89 d8 e8 66 ff ff ff 8b 13 <ff> 42 48 0f 8e ab 03 00
00 5b 5e c3 90 8d b4 26 00 00 00 00 55
Comment 1 Dave Jones 2005-09-21 22:48:38 EDT
should be fixed in todays rawhide.

Note You need to log in before you can comment on or make changes to this bug.